
Redmine - Patch #39777

Remove useless method #run_in_request? from

db/migrate/20221214173537_add_select_project_publicity_permission.rb

2023-12-04 19:34 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 6.0.0   

Description

the method doesn't seem to be relevant ( introduced by #38048 )

diff --git a/db/migrate/20221214173537_add_select_project_publicity_permission.rb b/db/migrate/202

21214173537_add_select_project_publicity_permission.rb

index aed1b07d1..7a0fee7c8 100644

--- a/db/migrate/20221214173537_add_select_project_publicity_permission.rb

+++ b/db/migrate/20221214173537_add_select_project_publicity_permission.rb

@@ -10,6 +10,4 @@ class AddSelectProjectPublicityPermission < ActiveRecord::Migration[6.1]

       r.remove_permission!(:select_project_publicity)

     end

   end

-

-  def run_in_request?; true end

 end

Related issues:

Related to Redmine - Feature #38048: Introduce permission to set a project pu... Closed

Associated revisions

Revision 22495 - 2023-12-05 01:44 - Go MAEDA

Remove useless method #run_in_request? from db/migrate/20221214173537_add_select_project_publicity_permission.rb (#39777).

Patch by Pavel Rosický.

History

#1 - 2023-12-05 00:56 - Go MAEDA

- Target version set to 6.0.0

#2 - 2023-12-05 00:56 - Go MAEDA

- Related to Feature #38048: Introduce permission to set a project public added

#3 - 2023-12-05 01:44 - Go MAEDA

- Subject changed from Remove useless method #run_in_request? to Remove useless method #run_in_request? from

db/migrate/20221214173537_add_select_project_publicity_permission.rb

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix in r22495. Thank you.
